VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Cache->Server"
   ClientHeight    =   1980
   ClientLeft      =   120
   ClientTop       =   450
   ClientWidth     =   5025
   LinkTopic       =   "Form1"
   ScaleHeight     =   1980
   ScaleWidth      =   5025
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdInsert 
      Caption         =   "Insert"
      Height          =   495
      Left            =   1800
      TabIndex        =   0
      Top             =   840
      Width           =   1215
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Public WS As Workspace
Public DB As Database
Public UserRS As Recordset
Public NPCRS As Recordset
Public MonsterRS As Recordset
Public ObjectRS As Recordset
Public DataRS As Recordset
Public MapRS As Recordset
Public GuildRS As Recordset
Public MsgRS As Recordset
Public PostRS As Recordset
Public BanRS As Recordset
Public HallRS As Recordset
Public ScriptRS As Recordset
Public GodRS As Recordset


Private Sub Form_Load()
    Set WS = DBEngine.Workspaces(0)
    If Exists("server.tmp") Then Kill "server.tmp"
    Name "server.dat" As "server.tmp"
    RepairDatabase "server.tmp"
    CompactDatabase "server.tmp", "server.dat", , 0, ";pwd=" + "ontario"
    Set DB = WS.OpenDatabase("server.dat", 0, False, ";pwd=ontario")
    
    'On Error Resume Next
    
    Set UserRS = DB.TableDefs("Accounts").OpenRecordset(dbOpenTable)
    Set NPCRS = DB.TableDefs("NPCs").OpenRecordset(dbOpenTable)
    Set MonsterRS = DB.TableDefs("Monsters").OpenRecordset(dbOpenTable)
    Set ObjectRS = DB.TableDefs("Objects").OpenRecordset(dbOpenTable)
    Set MapRS = DB.TableDefs("Maps").OpenRecordset(dbOpenTable)
    Set BanRS = DB.TableDefs("Bans").OpenRecordset(dbOpenTable)
    Set GuildRS = DB.TableDefs("Guilds").OpenRecordset(dbOpenTable)
    Set HallRS = DB.TableDefs("Halls").OpenRecordset(dbOpenTable)
    Set ScriptRS = DB.TableDefs("Scripts").OpenRecordset(dbOpenTable)
    
    Dim a As Long
    
    

    
    
    UserRS.index = "User"
    ObjectRS.index = "Number"
    NPCRS.index = "Number"
    MonsterRS.index = "Number"
    MapRS.index = "Number"
    BanRS.index = "Number"
    GuildRS.index = "Number"
    HallRS.index = "Number"
    ScriptRS.index = "Name"
    
    Dim numMaps As Integer, cache As String, mapNum As Long
    
    For mapNum = 1 To 2000
        cache = LoadMapFromCache(mapNum)
        If Asc(Mid$(cache, 1, 1)) > 0 Then
             MapRS.Seek "=", mapNum
             If MapRS.NoMatch Then
                 MapRS.AddNew
                 MapRS!Number = mapNum
             Else
                 MapRS.Edit
             End If
            
             MapRS!data = CompressString$(cache)
             MapRS.Update
        End If
    Next mapNum
    
    'Dim data As MapData
    
    'If MapRS.BOF = False Then
    '    MapRS.MoveFirst
    '    While MapRS.EOF = False
    '        A = MapRS!Number
    '        If A > 0 And A <= 2000 Then
    '            Dim st As String, MapData As String
    '            st = MapRS!data
    '            MapData = UncompressString$(st)
    '        End If
    '        MapRS.MoveNext
    '    Wend
    'End If
    'DB.Close
    
    
    Kill "server.tmp"
    MsgBox "Success! The cache has been successful extracted to your server.dat"
    Unload Me
    
End Sub
